"""Nuke menu.py to add all the commands."""

# Import third-party modules
import nuke  # pylint:disable=import-error

# Import local modules
from smartRescue import helper
from smartRescue import main
from smartRescue.constants import DOCS_URL

# Icons for this package.
ICONS = helper.load_icons()


def register_menu():
    """Register menu and commands."""
    menu = nuke.menu("Nuke").addMenu("cragl/smartRescue", icon=ICONS["logo"])
    menu.addCommand("smartRescue", lambda: main.start(standalone=False))
    menu.addCommand("documentation", lambda: helper.open_website(DOCS_URL))


register_menu()
