"""Entry point which triggers all steps."""

# Import local modules
from smartRescue.mvc import ui


def start(standalone=True):
    """Main entry point to show the smartRescue main window.

    We wrap the actual entry point into this function because we would like
    to be flexible to open up other functionality in the future and keep this
    the open entry.

    Args:
        standalone (bool, optional): If True, run the main window in standalone
            mode, otherwise it is run via a DCC.

    """
    ui.show(standalone)


if __name__ == "__main__":
    start()
